# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: 	 	onestroke
Summary: 	Gesture recognition for tablet PC's
Version: 	0.8.4
Release: 	alt1_13

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		http://risujin.org/onestroke/
Patch0:		onestroke-0.8.4-linking.patch
Patch1:		onestroke-0.8.4-buildfix.patch
License:	GPLv2+
Group:		Accessibility
BuildRequires:	ImageMagick-tools
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	desktop-file-utils
Source44: import.info

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


chmod 644 README *.png *.desktop

%build
export CFLAGS="${CFLAGS:-%optflags}";
export CXXFLAGS="${CXXFLAGS:-%optflags}";

CFLAGS="%{optflags} -fcommon"
%make_build

%install
%makeinstall_std

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_niconsdir}
convert -size 32x32 %{name}.png %{buildroot}%_niconsdir/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}-0.8
%{_liconsdir}/%{name}.png
%_niconsdir/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 0.8.4-alt1_13
- update

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_12
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_11
- update by mgaimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_10
- new version

